package com.ruoyi.project.VRdemo.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 应用对象 vr_app
 * 
 * @author ruoyi
 * @date 2023-05-20
 */
public class App extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @Excel(name = "ID")
    private Long appId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    /** 存储路径 */
    private String path;

    /** 预设展示点 */
    private String spots;

    /** 状态 0禁用 1启动*/
    @Excel(name = "状态")
    private Integer status;

    public void setAppId(Long appId) 
    {
        this.appId = appId;
    }

    public Long getAppId() 
    {
        return appId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setSpots(String spots) 
    {
        this.spots = spots;
    }

    public String getSpots() 
    {
        return spots;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("appId", getAppId())
            .append("title", getTitle())
            .append("price", getPrice())
            .append("path", getPath())
            .append("spots", getSpots())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
