package com.ruoyi.project.VRdemo.domain;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class NoticeExData {
    private static final long serialVersionUID = 1L;

    /** 自增id */
    @ExcelProperty("id")
    private Long id;

    /** 所属企业ID */
    @ExcelProperty("所属企业ID")
    private Long companyId;

    /** 主题 */
    @ExcelProperty( "主题")
    private String title;

    /** 主讲人 */
    @ExcelProperty("主讲人")
    private String speaker;

    /** 主办单位 */
    @ExcelProperty("主办单位")
    private String sponsor;

    /** 主持人 */
    @ExcelProperty("主持人")
    private String host;

    /** 与谈人 */
    @ExcelProperty( "与谈人")
    private String panelist;

    /** 开展方式 */
    @ExcelProperty("开展方式")
    private String holdingType;

    /** 开展时间 */
    @ExcelProperty("开展时间")
    private String holdingTime;

    /** 备注 */
    @ExcelProperty("备注")
    private String comment;

    /** 开展方式标签 */
    @ExcelIgnore
    private String holdingTypeLabel;

    public String getHoldingTypeLabel() {
        return holdingTypeLabel;
    }

    public void setHoldingTypeLabel(String holdingTypeLabel) {
        this.holdingTypeLabel = holdingTypeLabel;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSpeaker() {
        return speaker;
    }

    public void setSpeaker(String speaker) {
        this.speaker = speaker;
    }

    public String getSponsor() {
        return sponsor;
    }

    public void setSponsor(String sponsor) {
        this.sponsor = sponsor;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPanelist() {
        return panelist;
    }

    public void setPanelist(String panelist) {
        this.panelist = panelist;
    }

    public String getHoldingType() {
        return holdingType;
    }

    public void setHoldingType(String holdingType) {
        this.holdingType = holdingType;
    }

    public String getHoldingTime() {
        return holdingTime;
    }

    public void setHoldingTime(String holdingTime) {
        this.holdingTime = holdingTime;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("companyId", getCompanyId())
                .append("title", getTitle())
                .append("speaker", getSpeaker())
                .append("sponsor", getSponsor())
                .append("host", getHost())
                .append("panelist", getPanelist())
                .append("holdingType", getHoldingType())
                .append("holdingTime", getHoldingTime())
                .append("comment", getComment())
                .toString();
    }
}
